:root{    
    --primary: rgba(61, 181, 75, 1);
    --secundary: rgba(0, 165, 79, 1);
}

* {
   margin: 0;
   padding: 0;
   font-family: 'Libre Franklin', sans-serif;
}


html , body {
   height: 100%;
   width: 100%;
}

.container-page { 
   height: 100%;
   width: 100%;
   display: flex;
   flex-direction: column;
}

/* --------------------------- main-page (start) ---------------------- */

.main-page {
    height: 90%;
    display: flex;
    justify-content: center;
    align-items: center;
    justify-self: center;
}

.main-page-form {
    flex-direction: column;
    display: flex;
    align-items: center;
}

.form-top33 {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: red;
    width: 80%;
    z-index: 33;
    border-bottom: 2px dotted var(--secundary);
}

.form-top-devise {
    padding: 0 3px 5px 0;
}

/* --------------------- select box --------------------------- */

.select-box {
    position: relative;
    display: flex;
    width: 20%;
    flex-direction: column;
    display: flex;
    align-items: center;
    border-bottom: 2px dotted var(--primary);
}
  
.select-box .options-container {
    background: rgb(243, 253, 244);
    color: rgba(83, 83, 83, 0.767);
    max-height: 0;
    width: 100%;
    opacity: 0;
    transition: all 0.4s;
    border-radius: 8px;
    overflow: hidden;
    order: 1;
    position: absolute;
    z-index: 100;
}
  
.selected {
    background: #ffffff;
    border-radius: 0px;
    margin-bottom: 8px;
    color: rgba(83, 83, 83, 0.767);
    position: relative;
    font-size: 15px;
    order: 0;
}
  
.selected::after {
    content: "";
    background: url("../assets/arrow-down.png");
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    height: 100%;
    width: 10px;
    right: 5px;
    top: 10px;
    transition: all 0.4s;
}
  
.select-box .options-container.active {
    max-height: 240px;
    opacity: 1;
    overflow-y: scroll;
    margin-top: 35px;
}
  
.select-box .options-container.active + .selected::after {
    transform: rotateX(180deg);
    top: -10px;
}
  
.select-box .options-container::-webkit-scrollbar {
    width: 8px;
    background: rgba(61, 181, 75, 0.37);
    border-radius: 8px 8px 8px 8px;
}
  
.select-box .options-container::-webkit-scrollbar-thumb {
    background: var(--secundary);
    border-radius: 8px 8px 8px 8px;
}
  
.select-box .option,
.selected {
    padding: 5px 24px 5px 0;
    cursor: pointer;
}
  
.select-box .option:hover {
    background: var(--primary);
    color: white;
}
  
.select-box label {
    cursor: pointer;
}
  
.select-box .option .radio {
    display: none;
}

/* --------------------- select box --------------------------- */

.main-top {
    justify-content: center;
}

.main-top p {
    display: flex;
    justify-content: center;
    text-align: center;
    font-size: 5vw;
    font-weight: 500;
    color: var(--primary);
    line-height: 1.4;
}

.main-top-img-scan {
    width: 15vw;
}

.main-top-text-scan {
    color: var(--primary);
    text-align: center;
    justify-content: center;
    font-size: 4vw;
}

.main-page .main-top-text {
    display: flex;
    justify-content: center;
    text-align: center;
    color: var(--primary);
}

.main-page  input {
    border: none;
    border-bottom: 2px dotted var(--primary);
    border-radius: 0;
    
}

.main-page  input::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: var(--primary);
    letter-spacing: 5px;
    font-size: 9vw;
    margin-top: 30px;
}

.main-page  input:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: var(--primary);
    letter-spacing: 5px;
    font-size: 9vw;
    margin-top: 30px;
}

.main-page  input::-ms-input-placeholder { /* Microsoft Edge */
    color: var(--primary);
    letter-spacing: 5px;
    font-size: 9vw;
    margin-top: 30px;
}

.main-page-form .form-main input {
    color: rgba(51, 51, 51, 0.664);
    font-size: 7vw;
    display: flex;
    justify-items: center;
    text-align: center;
    border:none;
}

.form-container .form-main {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.keyboard {
    display: flex;
    justify-content: center;
    align-items: center;
}

.key {
    align-items: center;
    height: 15vw;
    justify-self: center;
    justify-content: center;
    cursor: pointer;
    color: rgba(61, 181, 75, 1);
}

.key p {
    display: flex;
    justify-content: center;
    font-size: 7vw;
    margin: 0;
    flex-grow: 1;
}

.button button {
    width: 100%;
    height: 9vw;
    font-size: 4vw;
    background-color: var(--secundary);;
    border: none;
    color: white;
    transition: all 0.2s ease-in-out;
}

.button button:focus {
    background-color: var(--primary);;
}

.form-top-devise {
    width: 100%;
    height: 47px;
}

.form-top-devise .devise-text {
    color: var(--primary);
    margin-top: 90px;
    line-height: 0;
    width: 70px;
}

.form-top-devise .devise-input {
    width: 60%;
    height: 42px;
    border-bottom: 2px dotted var(--primary);
    padding-bottom: 0px;
}  

.devise-input input {
    width: 100%;
    height: 32.5px;
    font-size: 4vw;
}

.main-page form input {
    border: none;
    border-bottom: 2px dotted var(--primary);
    border-radius: 0;
    padding-left: 8px;
}

.main-page form label {
    color: rgba(0, 0, 0, 0.349);
    font-size: 14px;
    line-height: 1;
}

form .form-floating  {
    position: relative;
    overflow: hidden;
}

.input-data {
    height: 40px;
    width: 80%;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.input-data input {
    height: 100%;
    width: 100%;
    border: none;
    font-size: 17px;
    border-bottom:2px dotted var(--primary);
    
}

.input-data input:focus ~ label {
    transform: translateY(-17px);
    font-size: 12px;
    color: var(--primary);
    
}

.input-data label {
    position: absolute;
    bottom: 10px;
    color: gray;
    pointer-events: none;
    transition: all 0.3s ease;
}

.input-data .underline {
    position: absolute;
    bottom: 0;
    height: 2px;
    width: 100%;
}

.input-data .underline:before {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background: var(--secundary);
    transform: scaleX(0);
    transition: all 0.3s ease;
}

.input-data input:focus ~ .underline:before {
    transform: scaleX(1);
}

/* --------------------------- main-page (end) ------------------------ */

/* -------------------------- footer-page (start) --------------------- */

.footer {
    border-top: 2px dotted var(--primary) ;
    height: 12%;
    color: black;
}

footer a{
    text-decoration: none;
    color: black;
    font-size: 15px;
    transition: all 0.2s ease-in-out;
    display: flex;
    justify-content: center;
    align-items: center;
}

footer {
    display: flex;
    justify-content: center;
}

footer a img {
    width: 5vw;
    height: 5vw;
}

footer a p {
    color: var(--primary);
    font-size: 4vw;
    font-weight: 700;
}

.footer footer a{
    transition: all 0.2s ease-in-out;
}

.footer footer a:focus {
    transform: translateX(-15px);
}

/* -------------------------- footer-page (end) ----------------------- */